Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.channels.twilio.getById({
channelId: 627671,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.channels.twilio.get_by_id(channel_id=627671)
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/channels/twilio/{channel_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/channels/twilio/{channel_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": 123,
"supported_modes": "chat,voice",
"is_system_channel": true,
"config": {
"telephony": {
"interruptibility": "dtmf_only",
"overall_input_timeout": 20,
"passive_input_start": 0.5,
"passive_speech_input_enabled": true,
"pre_input_timeout": 1.2
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}channels.twilio
Get Twilio Channel By Id
GET
/
api
/
v1
/
channels
/
twilio
/
{channel_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.channels.twilio.getById({
channelId: 627671,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.channels.twilio.get_by_id(channel_id=627671)
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
The channel name
Example:
"syllable-webchat"
The service that facilitates communication on the channel
Available options:
sip, twilio, email, webchat, africastalking, whatsapp Example:
"webchat"
The channel ID
The comma-delimited list of supported modes for the channel, which defines the possible communication methods for channel targets linked to it.
Example:
"chat,voice"
Whether the channel is a built-in system channel (i.e., is not customizable)
Example:
false
Configuration for the channel
Show child attributes
Show child attributes
Example:
{
"telephony": {
"interruptibility": "dtmf_only",
"overall_input_timeout": 20,
"passive_input_start": 0.5,
"passive_speech_input_enabled": true,
"pre_input_timeout": 1.2
}
}
⌘I

